Activate a service account - SuperAI Flows
Activate a Service Account
cURL
curl --request POST \
--url https://flows.super.ai/api/service-accounts/{service_account_id}/activate \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://flows.super.ai/api/service-accounts/{service_account_id}/activate"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/service-accounts/{service_account_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Example
{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified_by": "<string>",
"name": "API Documentation",
"status": "active",
"updated_at": "2023-11-07T05:31:56Z",
"description": "Service account for API documentation generation",
"organization_id": "550e8400-e29b-41d4-a716-446655440000"
}
Authorizations
X-API-Key
Include your API key in the X-API-Key header as:X-API-Key YOUR_API_KEYExample:
X-API-Key: saf_1234567890Authorization
Include your access token in the Authorization header as:Bearer YOUR_ACCESS_TOKENExample:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
- service_account_id (string
): UUID of the service account to activate
Response
- 200: Service account activated successfully.
Response Model for Service Account Operations
- created_at (string
): Creation timestamp of the service account. - id (string
): Unique identifier of the service account. - modified_by (string): Identifier for who modified the account.
- name (string): Human-readable name for this service account. Maximum string length:
255 - status (string): Current status of the service account. Valid values: 'active', 'inactive'.
- updated_at (string
): Timestamp of the last update. - description (string|null): Optional description explaining the purpose and usage of this account.
- organization_id (string
|null): UUID of the organization this account belongs to. NULL for system accounts.